## givaro 3.7.0

=== debian/changelog ===
givaro (3.7.0-2) unstable; urgency=low

  * Fix FTBFS on mipsel, thanks to Jean-Guillaume Dumas. The patch is
    expected to work on sparc as well.
  * debian/control: move doxygen-latex and graphviz from Build-Depends to
    Build-Depends-Indep.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 21 Jun 2012 18:03:57 +0800

givaro (3.7.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream.
  * New packages: givaro-user-doc, givaro-dev-doc.
  * Repackage using debhelper instead of cdbs.
  * Support multiarch.
  * Set source format to 3.0 (quilt).
  * Provide a new Makefile in examples. (Closes: #528275)
  * Exclude debian/ in doxygen.conf.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 09 Jun 2012 23:31:59 +0800

givaro (3.2.13-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7 (Matej Vela). Closes: #673622.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 08:16:59 +0000

givaro (3.2.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Getting rid of unneeded *.la file (Closes: #633164)
  * Fix weak-library-dev-dependency by depending on
    libgivaro0 (= ${binary:Version}) in libgivaro-dev.
  * Clean up build-dep, update compat 5 -> 8, update std-ver
    3.8.0 -> 3.9.2 .

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2012 01:53:05 +0800

givaro (3.2.13-1.1) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 22:22:30 -0500

givaro (3.2.13-1) unstable; urgency=low

  * New upstream release.

 -- Tim Abbott <tabbott@mit.edu>  Sat, 25 Apr 2009 21:03:45 -0400

givaro (3.2.10-1) unstable; urgency=low

  * Initial release (Closes: #480080).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 01:26:38 -0400
