=== debian/control ===
Source: givaro
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://ljk.imag.fr/CASYS/LOGICIELS/givaro/
Build-Depends: autotools-dev, debhelper (>= 8), libgmp-dev
Build-Depends-Indep: doxygen-latex, graphviz, texlive-math-extra
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/givaro.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/givaro.git

Package: libgivaro-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgivaro0 (= ${binary:Version}), make
Suggests: givaro-dev-doc, givaro-user-doc
Description: arithmetic and algebraic computations - development files
 Givaro is a C++ library for arithmetic and algebraic computations.
 Its main features are implementations of the basic arithmetic of many
 mathematical entities: Primes fields, Extensions Fields, Finite
 Fields, Finite Rings, Polynomials, Algebraic numbers, and Arbitrary
 precision integers and rationals (C++ wrappers over gmp).
 .
 Givaro also provides data-structures and templated classes for the
 manipulation of basic algebraic objects, such as vectors, matrices
 (dense, sparse, structured), univariate polynomials (and therefore
 recursive multivariate).
 .
 It contains different program modules and is fully compatible with
 the LinBox linear algebra library and the Athapascan environment,
 which permits parallel programming.
 .
 This package contains development files for Givaro.

Package: libgivaro0
Section: libs
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: arithmetic and algebraic computations
 Givaro is a C++ library for arithmetic and algebraic computations.
 Its main features are implementations of the basic arithmetic of many
 mathematical entities: Primes fields, Extensions Fields, Finite
 Fields, Finite Rings, Polynomials, Algebraic numbers, and Arbitrary
 precision integers and rationals (C++ wrappers over gmp).
 .
 Givaro also provides data-structures and templated classes for the
 manipulation of basic algebraic objects, such as vectors, matrices
 (dense, sparse, structured), univariate polynomials (and therefore
 recursive multivariate).
 .
 It contains different program modules and is fully compatible with
 the LinBox linear algebra library and the Athapascan environment,
 which permits parallel programming.
 .
 This package contains runtime files for Givaro.

Package: givaro-user-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: User Documentation for Givaro
 Givaro is a C++ library for arithmetic and algebraic computations.
 Its main features are implementations of the basic arithmetic of many
 mathematical entities: Primes fields, Extensions Fields, Finite
 Fields, Finite Rings, Polynomials, Algebraic numbers, and Arbitrary
 precision integers and rationals (C++ wrappers over gmp).
 .
 Givaro also provides data-structures and templated classes for the
 manipulation of basic algebraic objects, such as vectors, matrices
 (dense, sparse, structured), univariate polynomials (and therefore
 recursive multivariate).
 .
 It contains different program modules and is fully compatible with
 the LinBox linear algebra library and the Athapascan environment,
 which permits parallel programming.
 .
 This package contains User Documentation for Givaro.

Package: givaro-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Developer Documentation for Givaro
 Givaro is a C++ library for arithmetic and algebraic computations.
 Its main features are implementations of the basic arithmetic of many
 mathematical entities: Primes fields, Extensions Fields, Finite
 Fields, Finite Rings, Polynomials, Algebraic numbers, and Arbitrary
 precision integers and rationals (C++ wrappers over gmp).
 .
 Givaro also provides data-structures and templated classes for the
 manipulation of basic algebraic objects, such as vectors, matrices
 (dense, sparse, structured), univariate polynomials (and therefore
 recursive multivariate).
 .
 It contains different program modules and is fully compatible with
 the LinBox linear algebra library and the Athapascan environment,
 which permits parallel programming.
 .
 This package contains Developer Documentation for Givaro.
