## givaro 3.7.1

=== debian/changelog ===
givaro (3.7.1-1) unstable; urgency=low

  * New upstream release.
  * Remove bus-error.patch: applied by upstream.
  * Bump SONAME. (Closes: #678769)
  * New patch: local-include-syntax.patch. (Closes: #681589)
  * New package: libgivaro-doc.  Set givaro-user-doc and givaro-dev-doc
    as transitional packages. Thanks to Daniel Leidert.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 13 Jul 2012 22:44:32 +0800
