## givaro 3.7.2

=== debian/changelog ===
givaro (3.7.2-1) unstable; urgency=low

  * Upload to sid.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 06 May 2013 23:55:24 +0800

givaro (3.7.2-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 06 Mar 2013 10:59:02 +0800

givaro (3.7.1-1~exp1) experimental; urgency=low

  * New upstream release.
  * Remove bus-error.patch: applied by upstream.
  * Bump SONAME. (Closes: #678769)
  * New patch: local-include-syntax.patch. (Closes: #681589)
  * New package: libgivaro-doc.  Set givaro-user-doc and givaro-dev-doc
    as transitional packages. Thanks to Daniel Leidert.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 02 Oct 2012 12:22:38 +0800
