=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 DM-Upload-Allowed: yes
 Homepage: http://ljk.imag.fr/CASYS/LOGICIELS/givaro/
-Build-Depends: autotools-dev, debhelper (>= 8), libgmp-dev
+Build-Depends: dh-autoreconf, debhelper (>= 8), libgmp-dev
 Build-Depends-Indep: doxygen-latex, graphviz, texlive-math-extra
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debian-science/packages/givaro.git
@@ -14,8 +14,8 @@
 Package: libgivaro-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libgivaro0 (= ${binary:Version}), make
-Suggests: givaro-dev-doc, givaro-user-doc
+Depends: ${misc:Depends}, libgivaro1 (= ${binary:Version}), make
+Suggests: libgivaro-doc
 Description: arithmetic and algebraic computations - development files
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
@@ -34,7 +34,7 @@
  .
  This package contains development files for Givaro.
 
-Package: libgivaro0
+Package: libgivaro1
 Section: libs
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,11 +58,11 @@
  .
  This package contains runtime files for Givaro.
 
-Package: givaro-user-doc
+Package: libgivaro-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: User Documentation for Givaro
+Description: Documentation for Givaro
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
  mathematical entities: Primes fields, Extensions Fields, Finite
@@ -78,13 +78,13 @@
  the LinBox linear algebra library and the Athapascan environment,
  which permits parallel programming.
  .
- This package contains User Documentation for Givaro.
+ This package contains Documentation for Givaro.
 
-Package: givaro-dev-doc
+Package: givaro-user-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Description: Developer Documentation for Givaro
+Depends: libgivaro-doc, ${misc:Depends}
+Description: User Documentation for Givaro (obsolete)
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
  mathematical entities: Primes fields, Extensions Fields, Finite
@@ -100,5 +100,32 @@
  the LinBox linear algebra library and the Athapascan environment,
  which permits parallel programming.
  .
- This package contains Developer Documentation for Givaro.
+ This is a transitional dummy package. The 'givaro-user-doc' package
+ has been renamed to 'libgivaro-doc', which has been installed
+ automatically. This 'givaro-user-doc' package can be safely removed
+ from the system if no other package depends on it.
 
+Package: givaro-dev-doc
+Section: doc
+Architecture: all
+Depends: libgivaro-doc, ${misc:Depends}
+Description: Developer Documentation for Givaro (obsolete)
+ Givaro is a C++ library for arithmetic and algebraic computations.
+ Its main features are implementations of the basic arithmetic of many
+ mathematical entities: Primes fields, Extensions Fields, Finite
+ Fields, Finite Rings, Polynomials, Algebraic numbers, and Arbitrary
+ precision integers and rationals (C++ wrappers over gmp).
+ .
+ Givaro also provides data-structures and templated classes for the
+ manipulation of basic algebraic objects, such as vectors, matrices
+ (dense, sparse, structured), univariate polynomials (and therefore
+ recursive multivariate).
+ .
+ It contains different program modules and is fully compatible with
+ the LinBox linear algebra library and the Athapascan environment,
+ which permits parallel programming.
+ .
+ This is a transitional dummy package, Debian no longer ships Developer
+ Documentation for Givaro. This 'givaro-dev-doc' package can be safely
+ removed from the system if no other package depends on it.
+
