=== debian/watch ===
version=3

http://forge.imag.fr/frs/?group_id=187 .*givaro-(.*)\.tar\.gz
