## givaro 4.0.2

=== debian/changelog ===
givaro (4.0.2-8ubuntu1) artful; urgency=medium

  * GCC 7 on ARM32 emits some notes on stderr. Allow stderr in the
    autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Sep 2017 11:11:03 +0200

givaro (4.0.2-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 18 Aug 2017 14:19:37 +0200

givaro (4.0.2-7) experimental; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * Bump standards-version to 4.0.0.
  * Mark libgivaro-doc as Multi-Arch foreign following hinter.
  * Build depend on g++ >+ 4:7 and add dh_makeshlibs override on
  this version (Closes: #871278).

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 22:32:56 +0200

givaro (4.0.2-6) unstable; urgency=medium

  * debian/control
    - Switch build dependency on texlive-math-extra to texlive-science
      (Closes: #867087).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 03 Jul 2017 20:57:01 -0400

givaro (4.0.2-5) unstable; urgency=medium

  * Team upload.
  * debian/rules
    - Append -ffp-contract=off to CXXFLAGS also on mipsel to fix FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Tue, 29 Nov 2016 23:13:31 +0000

givaro (4.0.2-4) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/rules
    - Add --disable-simd to override_dh_auto_configure target; build without
      vectorized instructions, which are not available on all processors
      (Closes: #840458).

  [ Tobias Hansen ]
  * debian/rules
    - Use flag -ffloat-store on i386, since --disable-simd causes a similar
      test failure as previously on mips64el and s390x.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 29 Nov 2016 11:01:05 -0500

givaro (4.0.2-3) unstable; urgency=medium

  * debian/rules
    - Switch override_dh_fixperms to override_dh_fixperms-arch. Otherwise,
      dpkg-buildpackage -A fails.
      Thanks to Santiago Vila <sanvila@debian.org> for patch (Closes: #836452).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 06 Sep 2016 07:28:18 -0400

givaro (4.0.2-2) unstable; urgency=medium

  * debian/rules
    - Append -ffp-contract=off to CXXFLAGS to fix FTBFS on mips64el and s390x.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 28 Aug 2016 10:02:59 -0400

givaro (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Rename libgivaro8 to libgivaro9 for SONAME version bump.
  * debian/patches/gfqdom-for-macaulay2.patch
    - Remove patch; applied upstream.
  * debian/patches/pkg-config-bad-directive.patch
    - Refresh patch for new upstream version.
  * debian/rules
    - Remove executable bit on example file. Fixes executable-not-elf-or-script
      Lintian warning.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 10 Aug 2016 01:08:24 -0400

givaro (4.0.1-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/pkg-config-bad-directive.patch:
    - Re-add the flag -std=gnu++11 to --cflags in the pkg-config file.

 -- Tobias Hansen <thansen@debian.org>  Fri, 29 Jul 2016 19:18:22 +0100

givaro (4.0.1-2) unstable; urgency=medium

  * debian/clean
    - New file; clean generated files.
  * debian/control
    - Update Homepage.
  * debian/copyright
    - Update Source.
  * debian/libgivaro-dev.install
    - Install pkg-config file.
  * debian/patches/pkg-config-bad-directive.patch
    - New patch. Don't ship all the compiler flags used when building givaro
      in the pkg-config file.  Avoids pkg-config-bad-directive Lintian error.
  * debian/tests
    - Add autopkgtest support.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 23 Jul 2016 00:36:37 -0400

givaro (4.0.1-1) experimental; urgency=medium

  [ Julien Puydt ]
  * New upstream release. (Closes: #811847, #753847)
  * Add myself to uploaders.
  * Bump standards-version and compat up.
  * Use https in Vcs-* fields.
  * Clean debian/rules.

  [ Doug Torrance ]
  * Add myself to Uploaders.
  * Bump debian/watch to version 4 and update with new download location.
  * Refresh patch for new upstream version.
  * Use all hardening flags.
  * New patch adding version of a function needed by Macaulay2.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 19 Jul 2016 07:22:14 -0400

givaro (3.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791049).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:35:10 +0200
