=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
-Homepage: http://ljk.imag.fr/CASYS/LOGICIELS/givaro/
-Build-Depends: dh-autoreconf, debhelper (>= 8), libgmp-dev
-Build-Depends-Indep: doxygen-latex, graphviz, texlive-math-extra
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/debian-science/packages/givaro.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/givaro.git
+Uploaders: Lifeng Sun <lifongsun@gmail.com>,
+           Julien Puydt <julien.puydt@laposte.net>,
+           Doug Torrance <dtorrance@piedmont.edu>
+Homepage: http://givaro.forge.imag.fr/
+Build-Depends: debhelper (>= 9), dh-autoreconf, libgmp-dev, g++ (>= 4:7)
+Build-Depends-Indep: doxygen-latex, graphviz, texlive-science
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/givaro.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/givaro.git
 
 Package: libgivaro-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libgivaro1 (= ${binary:Version}), make
+Depends: libgivaro9 (= ${binary:Version}), make, ${misc:Depends}
 Suggests: libgivaro-doc
 Description: arithmetic and algebraic computations - development files
  Givaro is a C++ library for arithmetic and algebraic computations.
@@ -34,12 +35,12 @@
  .
  This package contains development files for Givaro.
 
-Package: libgivaro1
+Package: libgivaro9
 Section: libs
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: arithmetic and algebraic computations
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
@@ -61,6 +62,7 @@
 Package: libgivaro-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for Givaro
  Givaro is a C++ library for arithmetic and algebraic computations.
@@ -128,4 +130,3 @@
  This is a transitional dummy package, Debian no longer ships Developer
  Documentation for Givaro. This 'givaro-dev-doc' package can be safely
  removed from the system if no other package depends on it.
-
