=== debian/watch ===
version=4
https://github.com/linbox-team/givaro/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
