## givaro 4.0.4

=== debian/changelog ===
givaro (4.0.4-2) unstable; urgency=medium

  * debian/tests/upstream-tests
    - Fix typo (Closes: #902442).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 Jun 2018 01:16:34 -0400

givaro (4.0.4-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:12:05 +0200

givaro (4.0.4-1~exp2) experimental; urgency=medium

  * Team upload.
  * Disable non-standard instructions sets.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 14:51:03 +0200

givaro (4.0.4-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Fix randomly failing test-crt (Closes: #852995).
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Bump Standards-Version to 4.1.3.
    - Update Vcs-* after migration to Salsa.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends; automatic with debhelper 10.
  * debian/copyright
    - Update Format with https protocol.
  * debian/patches/pkg-config-bad-directive.patch
    - Remove patch; issue fixed upstream.
  * debian/rules
    - Remove "--with autoreconf"; automatic with debhelper 10.
    - Remove override_dh_fixperms-arch target; issue fixed upstream.
    - Remove special CXXFLAGS for various archs; issue fixed upstream.
  * debian/tests/control
    - GCC 7 on ARM32 emits some notes on stderr.  Allow stderr in the
      autopkg tests.  Patch by Matthias Klose <doko@ubuntu.com> from
      Ubuntu package.
  * debian/tests/upstream-tests
    - Add new test-modularmulprecomp to CI tests.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 06 Jan 2018 19:49:29 -0500
