=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            Julien Puydt <julien.puydt@laposte.net>,
            Doug Torrance <dtorrance@piedmont.edu>
 Homepage: http://givaro.forge.imag.fr/
-Build-Depends: debhelper (>= 9), dh-autoreconf, libgmp-dev, g++ (>= 4:7)
+Build-Depends: debhelper (>= 10), g++ (>= 4:7), libgmp-dev
 Build-Depends-Indep: doxygen-latex, graphviz, texlive-science
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/givaro.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/givaro.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/science-team/givaro.git
+Vcs-Browser: https://salsa.debian.org/science-team/givaro
 
 Package: libgivaro-dev
 Section: libdevel
