## givaro 4.1.1

=== debian/changelog ===
givaro (4.1.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:49 +0100

givaro (4.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add givaro-26932_recintvsflint_longlong.patch from sagemath
    to fix sagemath build on i386.

 -- Tobias Hansen <thansen@debian.org>  Fri, 13 Sep 2019 22:27:59 +0200

givaro (4.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Doug Torrance ]
  * debian/control
    - Remove Lifeng Sun from Uploaders (Closes: #925050).
    - Update Homepage.

  [ Julien Puydt ]
  * Package new upstream release.
  * Bump std-vers to 4.4.0.
  * Change my mail to @debian.org in d/control.
  * Fix typo in d/copyright (lintian warning).
  * Removed unused d/copyright assignments (lintian warnings).
  * Reworked d/copyright.
  * Completed d/copyright following upstream tickets #132 and #133.

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2019 14:48:44 +0200
