=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>,
-           Julien Puydt <julien.puydt@laposte.net>,
+Uploaders: Julien Puydt <jpuydt@debian.org>,
            Doug Torrance <dtorrance@piedmont.edu>
-Homepage: http://givaro.forge.imag.fr/
+Homepage: https://casys.gricad-pages.univ-grenoble-alpes.fr/givaro/
 Build-Depends: debhelper (>= 10), g++ (>= 4:7), libgmp-dev
 Build-Depends-Indep: doxygen-latex, graphviz, texlive-science
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/science-team/givaro.git
 Vcs-Browser: https://salsa.debian.org/science-team/givaro
