=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DISABLE_INSTRUCTION_SETS = \
	--disable-sse3     \
	--disable-ssse3    \
	--disable-sse41    \
	--disable-sse42    \
	--disable-avx      \
	--disable-avx2     \
	--disable-fma      \
	--disable-fma4

override_dh_auto_configure:
	dh_auto_configure -- --with-gmp --enable-shared \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--disable-simd \
		$(DISABLE_INSTRUCTION_SETS)

override_dh_installexamples:
	dh_installexamples -XMakefile -XMakefile.am -XMakefile.in

override_dh_auto_build-indep:
	#mkdir -p docs/givaro-dev-html
	#$(MAKE) -C docs docs_dev
	$(MAKE) docs
	rm -f docs/givaro-*html/COPYING
	rm -f docs/givaro-*html/INSTALL

override_dh_auto_test:
	dh_auto_test --max-parallel=1

override_dh_makeshlibs:
	dh_makeshlibs -V'libgivaro9 (>= 4.0.2-8~)'

%:
	dh $@
