=== debian/tests/control ===
Tests: upstream-tests
Depends: build-essential, libgivaro-dev, libgmp-dev, pkg-config
Restrictions: allow-stderr
