## givaro 4.2.0

=== debian/changelog ===
givaro (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-doc-path.patch
    - Refresh for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 15 Dec 2021 14:31:05 -0500

givaro (4.2.0~rc1-2) experimental; urgency=medium

  * debian/rules
    - Pass --without-archnative option to configure; prevents -march=native
      and -mcpu=native from being added to build flags.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 09 Dec 2021 05:33:38 -0500

givaro (4.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches/floating-percent.patch
    - Remove patch; applied upstream.
  * debian/salsa-ci.yml
    - Allow reprotest to fail.
  * debian/rules
    - Remove DH_VERBOSE cruft.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 08 Dec 2021 09:40:27 -0500

givaro (4.2.0~rc0-2) experimental; urgency=medium

  * debian/patches/floating-percent.patch
    - New patch; cast towards givrandom return type.  Needed to build
      latest fflas-ffpack release candidate.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 04 Dec 2021 21:51:12 -0500

givaro (4.2.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update my email address; now a Debian Developer.
    - Bump Standards-Version to 4.6.0.
    - Update Vcs-* fields (debian-science -> debian-math).
  * debian/copyright
    - Add myself to copyright holders for debian/*.
    - Convert leading tabs to spaces.
  * debian/libgivaro-dev.install
    - Update path to givaro-makefile.
    - Remove redundant destination directory for usr/include.
  * debian/libgivaro{-dev,9}.install, d/libgivaro-doc.docs
    - Remove unnecessary debian/tmp from paths.
  * debian/patches
    - Remove patches applied upstream.
      + givaro-makefile.patch
      + local-include-syntax.patch
      + national-encoding.patch
  * debian/rules
    - Stop removing executable bit of givaro-makefile; no longer necessary.
    - Update path to givaro-makefile when removing build path.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 02 Dec 2021 08:00:07 -0500

givaro (4.1.2~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/compat
    - Remove file; no longer necessary as we Build-Depend on
      debhelper-compat instead.
  * debian/control
    - Capitalize "A" in "Multi-Arch"; fixes "cute-field" Lintian warning.
    - Add jdupes to Build-Depends-Indep.
    - Add doxygen to Build-Depends-Indep; fixes
      "missing-build-dependency-for-dh_-command" Lintian error.
    - Bump to debhelper compatibility level 13.
    - Bump to Standards-Version 4.5.1.
    - Add Rules-Requires-Root field.
  * debian/libgivaro-dev.docs
    - New file; install README.md.
  * debian/libgivaro-dev.install
    - Install givaro-makefile to /usr/share/libgivaro-dev instead of
      /usr/bin; it's a Makefile snippet, not an executable.
  * debian/libgivaro-dev.lintian-overrides
    - Remove file; only override (binary-without-manpage) is unused since
      givaro-makefile is no longer installed to /usr/bin.
  * debian/libgivaro-doc.doc-base
    - Update paths to documentation; now under /usr/share/doc/libgivaro-dev.
  * debian/libgivaro-doc.docs
    - New file replacing d/libgivaro-doc.install; use dh_installdocs to
      install documentation.
  * debian/libgivaro-doc.lintian-overrides
    - Remove file; the only override was for "embedded-javascript-library",
      which is no longer emitted for jquery from Doxygen-generated
      documentation.
  * debian/not-installed
    - Tell dh_missing that we aren't installing the libtool .la file.
  * debian/patches
    - Refresh for new upstream release.
  * debian/patches/fix-doc-path.patch
    - Provide clickable link to README.Debian.
    - Use <a href="javascript:void(0)"> instead of having a broken link to
      the developer's documentation.
  * debian/patches/givaro-26932_recintvsflint_longlong.patch
    - Remove patch; issue fixed upstream.
  * debian/patches/givaro-makefile.patch
    - Update path to givaro-makefile in README.
    - Drop shebang completely; not necessary for a Makefile snippet.
  * debian/patches/local-include-syntax.patch
    - Add Forwarded field.
  * debian/patches/national-encoding.patch
    - New patch; convert ISO/IEC 8859-1 encodings to UTF-8. Fixes
      "national-encoding" Lintian warning.
  * debian/rules
    - Drop some unnecessary and no longer supported options to configure.
    - Don't both passing --libdir with multiarch directory to configure;
      this has been done by default since debhelper 9.
    - Pass --enable-doc to configure; building documentation no longer
      happens by default.
    - New execute_before_dh_link-indep target; use jdupes to fix
      "duplicate-files" Lintian warning.
    - New execute_after_dh_installdocs-indep target; run dh_doxygen to
      remove *.md5 and *.map files from package.
    - New execute_after_dh_install-arch target; remove build path and drop
      executable bit from givaro-makefile.
    - Drop override_dh_auto_build-indep target; it contained a redundant
      call to make in the docs directory that was already being done by
      dh_auto_build.  Move the removal of COPYING and INSTALL to
      execute_after_dh_installdocs-indep.
    - New override_dh_auto_install target; set USE_TARGETS to the empty
      string; otherwise we build the documentation twice.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metatdata file.
  * debian/watch
    - Add uversionmangle to insert tilde for release candidates.
    - Use @ANY_VERSION@ special string in regular expression; we previously
      were missing any non-numeric versions.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 02 Aug 2021 18:13:13 -0400
