=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: givaro
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
-           Doug Torrance <dtorrance@piedmont.edu>
+           Doug Torrance <dtorrance@debian.org>
 Homepage: https://casys.gricad-pages.univ-grenoble-alpes.fr/givaro/
-Build-Depends: debhelper (>= 10), g++ (>= 4:7), libgmp-dev
-Build-Depends-Indep: doxygen-latex, graphviz, texlive-science
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/science-team/givaro.git
-Vcs-Browser: https://salsa.debian.org/science-team/givaro
+Build-Depends: debhelper-compat (= 13), g++ (>= 4:7), libgmp-dev
+Build-Depends-Indep: doxygen, doxygen-latex, graphviz, jdupes, texlive-science
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/math-team/givaro.git
+Vcs-Browser: https://salsa.debian.org/math-team/givaro
+Rules-Requires-Root: no
 
 Package: libgivaro-dev
 Section: libdevel
@@ -36,7 +37,7 @@
 
 Package: libgivaro9
 Section: libs
-Multi-arch: same
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
