=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/linbox-team/givaro/releases (?:.*/)?v?@ANY_VERSION@\.tar\.gz
