## givaro 4.2.1

=== debian/changelog ===
givaro (4.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 15 Feb 2025 12:16:21 -0500

givaro (4.2.1~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches
    - Remove patches applied upstream.
      + cstdint.patch
      + gcc-15.patch
      + temporary-gcc-14-workaround.patch
  * debian/patches/doxygen-exclude-debian-dir.patch
    - Update filenames of patched files (.mod -> .in).
  * debian/rules
    - Remove hacky fix for bug that was only present in doxygen 1.9.4,
      which is no longer in unstable.
    - Remove old override_dh_makeshlibs target left over from GCC 7
      transition.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 05 Dec 2024 12:52:04 -0500

givaro (4.2.0-6) unstable; urgency=medium

  * debian/patches/gcc-15.patch
    - New patch; fix build using GCC 15.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 03 Oct 2024 22:31:30 -0400

givaro (4.2.0-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/copyright
    - Update my copyright years.
  * debian/patches/temporary-gcc-14-workaround
    - New patch from the Fedora package; fixes "no match for 'operator='"
      error when compiling with GCC 14 (Closes: #1075001).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 03 Jul 2024 10:09:20 -0400

givaro (4.2.0-4) unstable; urgency=medium

  * debian/patches/cstdint.patch
    - New patch; #include <cstdint> to fix GCC-13 build (Closes: #1037679).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 14 Jun 2023 09:57:11 -0400

givaro (4.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + givaro-dev-doc, givaro-user-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Bump my copyright years.
  * debian/gbp.conf
    - New file; set debian-branch to debian/latest as recommended by
      DEP-14.
  * debian/watch
    - Switch from GitHub releases page to tags page.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 05 Jan 2023 23:13:06 -0500

givaro (4.2.0-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Bump my copyright years.
  * debian/rules
    - Remove symlinks before building docs to avoid regression in doxygen
      1.9.4 (Closes: #1016261).
  * debian/salsa-ci.yml
    - Stop allowing reprotest to fail; no longer an issue with doxygen
      1.9.4.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 04 Aug 2022 16:04:02 -0400
