=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: https://casys.gricad-pages.univ-grenoble-alpes.fr/givaro/
 Build-Depends: debhelper-compat (= 13), g++ (>= 4:7), libgmp-dev
 Build-Depends-Indep: doxygen, doxygen-latex, graphviz, jdupes, texlive-science
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/math-team/givaro.git
 Vcs-Browser: https://salsa.debian.org/math-team/givaro
 Rules-Requires-Root: no
@@ -86,6 +86,7 @@
 Section: doc
 Architecture: all
 Depends: libgivaro-doc, ${misc:Depends}
+Multi-Arch: foreign
 Description: User Documentation for Givaro (obsolete)
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
@@ -111,6 +112,7 @@
 Section: doc
 Architecture: all
 Depends: libgivaro-doc, ${misc:Depends}
+Multi-Arch: foreign
 Description: Developer Documentation for Givaro (obsolete)
  Givaro is a C++ library for arithmetic and algebraic computations.
  Its main features are implementations of the basic arithmetic of many
