=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,6 @@
 override_dh_auto_test:
 	dh_auto_test --max-parallel=1
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V'libgivaro9 (>= 4.0.2-8~)'
-
 HTML_DIR = debian/libgivaro-doc/usr/share/doc/libgivaro-dev/givaro-html
 
 execute_after_dh_installdocs-indep:
